Customers
Get Customer
Retrieves a single customer by ID.
Authorization
api_key api-key<token>
In: header
Path Parameters
customerId*string
The internal customer ID from the URL path
Query Parameters
tenantAlias*string
Merchant identifier for multi-tenant access
associatedId*string
Customer identifier from your system (security check)
Response Body
application/json
application/json
application/json
curl -X GET "https://api.paynowpro.com/api/v1/customers/string?tenantAlias=string&associatedId=string"{
"id": "string",
"firstName": "string",
"lastName": "string",
"email": "string",
"associatedId": "string",
"tenantAlias": "string",
"metadata": {
"property1": "string",
"property2": "string"
},
"createdAt": "string"
}{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}